using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HCM.BusinessEntities;
using HCM.DataAccess;
namespace HCM.BajaWare.BusinessLogic
{
    public class AccionistasLogic
    {
         #region Constructor
        private AccionistasDataAcces AccionistasDA;

        public AccionistasLogic()
        {
            AccionistasDA = new AccionistasDataAcces();

        }
        #endregion
        #region Obtiene Datos
        /// <summary>
        /// Obtiene la lista de Accionistas
        /// </summary>
        /// <param name="iPersona"></param>
        /// <returns></returns>
        public List<Accionista> ListadoAccionistas(Accionista accionista)
        {
            List<Accionista> results = null;
            try
            {

                results = AccionistasDA.ListadoAccionistas(accionista);

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }

        #endregion 

        public ServiceResult InsertarEditar(Accionista accionista)
        {
            ServiceResult resultado = new ServiceResult();
            try
            {

                resultado.ResultValue = AccionistasDA.InsertarEditar(accionista);

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return resultado;
        }
    }
}
